namespace Sonex.Client.Views
{
    public interface IView
    {
        bool HasChanges { get; }
        bool CanSave { get; }
        bool CanEdit { get; }

        void Clear();
        void Reload();
        void Load(string key);
        void Save();

        void MarkChanged();
        void MarkSaved();
    }
}
